package main

import (
	"fmt"
	"math/big"
	"math/rand"
)

func checkBigInt(mes *Message, field string) (*big.Int, bool) {
	mData := mes.Data()
	res, check := new(big.Int).SetString(mData.StringVal(field, ""), 10)
	if !check {
		mes.SendResponse(
			messageError(fmt.Sprintf("ожидается числовое значение поля [ %s ]", field)),
		)
		return nil, false
	}
	return res, true
}

func randHex() string {
	src := make([]byte, 16)
	rand.Read(src)
	return fmt.Sprintf("%x", src)
}

/*
func randomCurve() (a, b *big.Int) {
	curve.NewCurve()
}
*/
